#include "Weapon.h"

Weapon::Weapon()
	: name("Stick"),
	  damageType("pokes"),
	  twoHanded(false),
	  damage(2)
{
}

Weapon::Weapon(std::string setName,
               std::string setDamageType,
               bool setTwoHanded,
               int setDamage)
	: name(setName),
	  damageType(setDamageType),
	  twoHanded(setTwoHanded),
	  damage(setDamage)
{
}

const std::string& Weapon::getName() const
{
	return name;
}
const std::string& Weapon::getDamageType() const
{
	return damageType;
}
bool Weapon::getTwoHanded() const
{
	return twoHanded;
}
int Weapon::getLevel() const
{
	return level;
}
void Weapon::levelUp()
{
	damage += 3 + level++;
}
int Weapon::getDamage() const
{
	return damage;
}
