#ifndef ENEMY_H
#define ENEMY_H

#include "Weapon.h"

#include <string>

class Enemy
{
public:
	Enemy();
	Enemy(std::string setName,
	      int setHitPoints,
	      int setGold,
	      const Weapon &setWeapon);

	bool Alive() const;
	std::string getName() const;
	int getHitPoints() const;
	int getGold() const;
	Weapon getWeapon() const;

private:
	std::string name;
	int hitPoints;
	int gold;
	Weapon weapon;
};

#endif
