#ifndef WEAPON_H
#define WEAPON_H

#include <string>

class Weapon
{
public:
	Weapon();
	Weapon(std::string setName,
	       std::string setDamageType,
	       bool setTwoHanded,
	       int setDamage);

	const std::string& getName() const;
	const std::string& getDamageType() const;
	bool getTwoHanded() const;
	int getLevel() const;
	void levelUp();
	int getDamage() const;

private:
	std::string name;
	std::string damageType;
	bool twoHanded;
	int damage;
	int level;
};

#endif
